---
sidebar_position: 0
slug: /
---

# Was ist LlamaIndex.TS?

`Diese Dokumentation wurde automatisch übersetzt und kann Fehler enthalten. Zögern Sie nicht, einen Pull Request zu öffnen, um Änderungen vorzuschlagen.`

LlamaIndex.TS ist ein Datenframework für LLM-Anwendungen zum Aufnehmen, Strukturieren und Zugreifen auf private oder domänenspezifische Daten. Während auch ein Python-Paket verfügbar ist (siehe [hier](https://docs.llamaindex.ai/en/stable/)), bietet LlamaIndex.TS Kernfunktionen in einem einfachen Paket, das für die Verwendung mit TypeScript optimiert ist.

## 🚀 Warum LlamaIndex.TS?

Im Kern bieten LLMs eine natürliche Sprachschnittstelle zwischen Menschen und abgeleiteten Daten. Weit verbreitete Modelle sind vortrainiert auf riesigen Mengen öffentlich verfügbarer Daten, von Wikipedia und Mailinglisten bis hin zu Lehrbüchern und Quellcode.

Anwendungen, die auf LLMs aufbauen, erfordern oft die Ergänzung dieser Modelle um private oder domänenspezifische Daten. Leider können diese Daten über verschiedene Anwendungen und Datenspeicher verteilt sein. Sie befinden sich hinter APIs, in SQL-Datenbanken oder sind in PDFs und Präsentationen gefangen.

Genau hier kommt **LlamaIndex.TS** ins Spiel.

## 🦙 Wie kann LlamaIndex.TS helfen?

LlamaIndex.TS bietet folgende Tools:

- **Datenladen** - Importieren Sie Ihre vorhandenen `.txt`, `.pdf`, `.csv`, `.md` und `.docx` Daten direkt.
- **Datenindizes** - Strukturieren Sie Ihre Daten in Zwischenrepräsentationen, die für LLMs einfach und leistungsstark zu verarbeiten sind.
- **Engines** - Bieten Sie einen natürlichsprachlichen Zugriff auf Ihre Daten. Zum Beispiel:
  - Abfrage-Engines sind leistungsstarke Abfrage-Schnittstellen für wissensgestützte Ausgaben.
  - Chat-Engines sind konversationelle Schnittstellen für Interaktionen mit Ihren Daten, bei denen mehrere Nachrichten hin und her ausgetauscht werden.

## 👨‍👩‍👧‍👦 Für wen ist LlamaIndex?

LlamaIndex.TS bietet einen Kernsatz von Tools, die für alle geeignet sind, die LLM-Apps mit JavaScript und TypeScript entwickeln.

Unsere API auf hoher Ebene ermöglicht es Anfängern, LlamaIndex.TS zum Aufnehmen und Abfragen ihrer Daten zu verwenden.

Für komplexere Anwendungen ermöglichen unsere APIs auf niedrigerer Ebene fortgeschrittenen Benutzern, jedes Modul - Datenverbindungen, Indizes, Retriever und Abfrage-Engines - anzupassen und zu erweitern, um ihren Anforderungen gerecht zu werden.

## Erste Schritte

`npm install llamaindex`

Unsere Dokumentation enthält [Installationsanweisungen](./installation.mdx) und ein [Einführungstutorial](./starter.md), um Ihre erste Anwendung zu erstellen.

Sobald Sie bereit sind, bietet [High-Level-Konzepte](./concepts.md) einen Überblick über die modulare Architektur von LlamaIndex. Für praktische Beispiele schauen Sie sich unsere [End-to-End-Tutorials](./end_to_end.md) an.

## 🗺️ Ökosystem

Um LlamaIndex herunterzuladen oder beizutragen, finden Sie es auf:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Community

Brauchen Sie Hilfe? Haben Sie einen Funktionsvorschlag? Treten Sie der LlamaIndex-Community bei:

- Twitter: https://twitter.com/llama_index
- Discord: https://discord.gg/dGcwcsnxhU
