---
sidebar_position: 0
slug: /
---

# ¿Qué es LlamaIndex.TS?

`Esta documentación ha sido traducida automáticamente y puede contener errores. No dudes en abrir una Pull Request para sugerir cambios.`

LlamaIndex.TS es un marco de datos para aplicaciones LLM que permite la ingestión, estructuración y acceso a datos privados o específicos de dominio. Si bien también está disponible un paquete de Python (ver [aquí](https://docs.llamaindex.ai/en/stable/)), LlamaIndex.TS ofrece características principales en un paquete sencillo, optimizado para su uso con TypeScript.

## 🚀 ¿Por qué LlamaIndex.TS?

En su esencia, los LLM ofrecen una interfaz de lenguaje natural entre los humanos y los datos inferidos. Los modelos ampliamente disponibles vienen pre-entrenados con grandes cantidades de datos disponibles públicamente, desde Wikipedia y listas de correo hasta libros de texto y código fuente.

Las aplicaciones construidas sobre los LLM a menudo requieren mejorar estos modelos con datos privados o específicos de dominio. Desafortunadamente, esos datos pueden estar distribuidos en aplicaciones y almacenes de datos aislados. Están detrás de APIs, en bases de datos SQL o atrapados en PDF y presentaciones.

Ahí es donde entra en juego **LlamaIndex.TS**.

## 🦙 ¿Cómo puede ayudar LlamaIndex.TS?

LlamaIndex.TS proporciona las siguientes herramientas:

- **Carga de datos** permite ingresar directamente sus datos existentes en formatos como `.txt`, `.pdf`, `.csv`, `.md` y `.docx`.
- **Índices de datos** estructura sus datos en representaciones intermedias que son fáciles y eficientes para que los LLM puedan consumirlos.
- **Motores** proporcionan acceso en lenguaje natural a sus datos. Por ejemplo:
  - Los motores de consulta son interfaces de recuperación potentes para obtener resultados mejorados con conocimiento.
  - Los motores de chat son interfaces conversacionales para interacciones de "ida y vuelta" con sus datos.

## 👨‍👩‍👧‍👦 ¿Para quién es LlamaIndex?

LlamaIndex.TS proporciona un conjunto básico de herramientas esenciales para cualquier persona que desarrolle aplicaciones LLM con JavaScript y TypeScript.

Nuestra API de alto nivel permite a los usuarios principiantes utilizar LlamaIndex.TS para ingresar y consultar sus datos.

Para aplicaciones más complejas, nuestras API de nivel inferior permiten a los usuarios avanzados personalizar y ampliar cualquier módulo, como conectores de datos, índices, recuperadores y motores de consulta, para adaptarse a sus necesidades.

## Empezando

`npm install llamaindex`

Nuestra documentación incluye [Instrucciones de instalación](./installation.mdx) y un [Tutorial de inicio](./starter.md) para construir tu primera aplicación.

Una vez que estés en funcionamiento, [Conceptos de alto nivel](./concepts.md) ofrece una visión general de la arquitectura modular de LlamaIndex. Para obtener ejemplos prácticos más detallados, consulta nuestros [Tutoriales de extremo a extremo](./end_to_end.md).

## 🗺️ Ecosistema

Para descargar o contribuir, encuentra LlamaIndex en:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Comunidad

¿Necesitas ayuda? ¿Tienes alguna sugerencia de función? Únete a la comunidad de LlamaIndex:

- Twitter: https://twitter.com/llama_index
- Discord: https://discord.gg/dGcwcsnxhU
