---
sidebar_position: 0
slug: /
---

# Mikä on LlamaIndex.TS?

`Tämä dokumentaatio on käännetty automaattisesti ja se saattaa sisältää virheitä. Älä epäröi avata Pull Requestia ehdottaaksesi muutoksia.`

LlamaIndex.TS on tietokehys LLM-sovelluksille, joka mahdollistaa yksityisten tai aluekohtaisten tietojen syöttämisen, rakenteen luomisen ja käyttämisen. Vaikka Python-paketti on myös saatavilla (katso [täältä](https://docs.llamaindex.ai/en/stable/)), LlamaIndex.TS tarjoaa ydintoiminnot yksinkertaisessa paketissa, joka on optimoitu TypeScriptin käyttöön.

## 🚀 Miksi LlamaIndex.TS?

LLM-sovellukset tarjoavat luonnollisen kielirajapinnan ihmisten ja pääteltyjen tietojen välillä. Laajalti saatavilla olevat mallit on esikoulutettu valtavilla määrillä julkisesti saatavilla olevaa tietoa, kuten Wikipediaa, postituslistoja, oppikirjoja ja lähdekoodia.

LLM-mallien päälle rakennetut sovellukset vaativat usein näiden mallien täydentämistä yksityisillä tai aluekohtaisilla tiedoilla. Valitettavasti nämä tiedot voivat olla hajallaan eri sovellusten ja tietovarastojen välillä. Ne voivat olla API:en takana, SQL-tietokannoissa tai jumissa PDF-tiedostoissa ja diaesityksissä.

Tässä kohtaa tulee avuksi **LlamaIndex.TS**.

## 🦙 Kuinka LlamaIndex.TS voi auttaa?

LlamaIndex.TS tarjoaa seuraavat työkalut:

- **Tietojen lataaminen** syötä olemassa olevat `.txt`, `.pdf`, `.csv`, `.md` ja `.docx` -tiedot suoraan
- **Tietoindeksit** rakenna tietosi välittävät edustukset, jotka ovat helppoja ja suorituskykyisiä LLM:ien käyttää.
- **Moottorit** tarjoavat luonnollisen kielen pääsyn tietoihisi. Esimerkiksi:
  - Kyselymoottorit ovat tehokkaita hakuliittymiä tietoa täydentävään tulosteeseen.
  - Keskustelumoottorit ovat keskustelevia liittymiä moniviestisiin "edestakaisiin" vuorovaikutuksiin tietojesi kanssa.

"

## 👨‍👩‍👧‍👦 Kenelle LlamaIndex on tarkoitettu?

LlamaIndex.TS tarjoaa ydintyökalut, jotka ovat olennaisia kaikille, jotka rakentavat LLM-sovelluksia JavaScriptin ja TypeScriptin avulla.

Korkean tason API:llamme aloittelijakäyttäjät voivat käyttää LlamaIndex.TS:ää tietojen syöttämiseen ja kyselyyn.

Monimutkaisempiin sovelluksiin tarjoamme matalamman tason API:t, jotka mahdollistavat edistyneiden käyttäjien mukauttaa ja laajentaa mitä tahansa moduulia - tietoliikenne, indeksit, noutajat ja kyselymoottorit - vastaamaan heidän tarpeitaan.

## Aloittaminen

`npm install llamaindex`

Dokumentaatiostamme löydät [asennusohjeet](./installation.mdx) ja [aloitusopetusohjelman](./starter.md) ensimmäisen sovelluksesi rakentamiseen.

Kun olet päässyt vauhtiin, [Korkean tason käsitteet](./concepts.md) antaa yleiskuvan LlamaIndexin modulaarisesta arkkitehtuurista. Lisää käytännön esimerkkejä löydät [Päästä päähän -opetusohjelmista](./end_to_end.md).

## 🗺️ Ekosysteemi

LlamaIndexin lataamiseksi tai osallistumiseksi löydät sen seuraavista paikoista:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Yhteisö

Tarvitsetko apua? Onko sinulla toimintoehtoehdotus? Liity LlamaIndex-yhteisöön:

- Twitter: https://twitter.com/llama_index
- Discord: https://discord.gg/dGcwcsnxhU
