---
sidebar_position: 0
slug: /
---

# Što je LlamaIndex.TS?

`Ova dokumentacija je automatski prevedena i može sadržavati greške. Ne ustručavajte se otvoriti Pull Request za predlaganje promjena.`

LlamaIndex.TS je okvir podataka za LLM aplikacije za unos, strukturiranje i pristup privatnim ili domenski specifičnim podacima. Iako je dostupan i Python paket (vidi [ovdje](https://docs.llamaindex.ai/en/stable/)), LlamaIndex.TS nudi osnovne značajke u jednostavnom paketu, optimiziranom za upotrebu s TypeScriptom.

## 🚀 Zašto LlamaIndex.TS?

U svojoj srži, LLM-ovi nude prirodnojezično sučelje između ljudi i zaključenih podataka. Široko dostupni modeli su prethodno obučeni na ogromnim količinama javno dostupnih podataka, od Wikipedije i mailing lista do udžbenika i izvornog koda.

Aplikacije izgrađene na temelju LLM-ova često zahtijevaju proširenje tih modela s privatnim ili domenski specifičnim podacima. Nažalost, ti podaci mogu biti raspodijeljeni između izoliranih aplikacija i skladišta podataka. Oni se nalaze iza API-ja, u SQL bazama podataka ili su zarobljeni u PDF-ovima i prezentacijama.

Tu dolazi **LlamaIndex.TS**.

## 🦙 Kako LlamaIndex.TS može pomoći?

LlamaIndex.TS pruža sljedeće alate:

- **Učitavanje podataka** - unesite izravno svoje postojeće podatke u formatima `.txt`, `.pdf`, `.csv`, `.md` i `.docx`
- **Indeksi podataka** - strukturirajte svoje podatke u međureprezentacije koje su jednostavne i performantne za LLM-ove za konzumiranje.
- **Engine-i** - pružaju prirodan jezični pristup vašim podacima. Na primjer:
  - Upitni engine-i su moćna sučelja za dohvat znanjem obogaćenog izlaza.
  - Chat engine-i su konverzacijska sučelja za višeporuku, "naprijed-natrag" interakcije s vašim podacima.

## 👨‍👩‍👧‍👦 Za koga je LlamaIndex?

LlamaIndex.TS pruža osnovni skup alata koji su bitni za sve koji grade LLM aplikacije s JavaScriptom i TypeScriptom.

Naša API razina visoke razine omogućuje početnicima da koriste LlamaIndex.TS za unos i upitivanje svojih podataka.

Za složenije aplikacije, naše API-je niže razine omogućuju naprednim korisnicima prilagodbu i proširenje bilo kojeg modula - konektora podataka, indeksa, povratnika i upitnih motora, kako bi odgovarali njihovim potrebama.

## Početak rada

`npm install llamaindex`

Naša dokumentacija uključuje [Upute za instalaciju](./installation.mdx) i [Uvodni vodič](./starter.md) za izgradnju vaše prve aplikacije.

Kada ste spremni za rad, [Visokorazinski koncepti](./concepts.md) pružaju pregled modularne arhitekture LlamaIndex-a. Za praktične primjere, pogledajte naše [Vodiče od početka do kraja](./end_to_end.md).

## 🗺️ Ekosustav

Za preuzimanje ili doprinos, pronađite LlamaIndex na:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Zajednica

Trebate pomoć? Imate prijedlog za značajku? Pridružite se LlamaIndex zajednici:

- Twitter: https://twitter.com/llama_index
- Discord: https://discord.gg/dGcwcsnxhU
