---
sidebar_position: 0
slug: /
---

# Cos'è LlamaIndex.TS?

`Questa documentazione è stata tradotta automaticamente e può contenere errori. Non esitare ad aprire una Pull Request per suggerire modifiche.`

LlamaIndex.TS è un framework dati per applicazioni LLM per l'ingestione, la strutturazione e l'accesso a dati privati o specifici del dominio. Mentre è disponibile anche un pacchetto Python (vedi [qui](https://docs.llamaindex.ai/en/stable/)), LlamaIndex.TS offre funzionalità di base in un pacchetto semplice, ottimizzato per l'uso con TypeScript.

## 🚀 Perché LlamaIndex.TS?

Fondamentalmente, le LLM offrono un'interfaccia di linguaggio naturale tra gli esseri umani e i dati inferiti. I modelli ampiamente disponibili vengono pre-addestrati su enormi quantità di dati disponibili pubblicamente, da Wikipedia e mailing list a libri di testo e codice sorgente.

Le applicazioni costruite su LLM spesso richiedono di integrare questi modelli con dati privati o specifici del dominio. Purtroppo, questi dati possono essere distribuiti tra applicazioni e archivi dati isolati. Possono trovarsi dietro API, in database SQL o intrappolati in PDF e presentazioni.

Ed è qui che entra in gioco **LlamaIndex.TS**.

## 🦙 Come può aiutare LlamaIndex.TS?

LlamaIndex.TS fornisce i seguenti strumenti:

- **Caricamento dati** per l'ingestione diretta dei dati esistenti in formato `.txt`, `.pdf`, `.csv`, `.md` e `.docx`.
- **Indici dati** per la strutturazione dei dati in rappresentazioni intermedie facili e performanti per i LLM.
- **Motori** che forniscono accesso ai dati in linguaggio naturale. Ad esempio:
  - I motori di interrogazione sono potenti interfacce di recupero per l'output arricchito di conoscenza.
  - I motori di chat sono interfacce conversazionali per interazioni "avanti e indietro" a più messaggi con i dati.

## 👨‍👩‍👧‍👦 A chi si rivolge LlamaIndex?

LlamaIndex.TS fornisce un set di strumenti di base, essenziali per chiunque stia costruendo app LLM con JavaScript e TypeScript.

La nostra API di alto livello consente agli utenti principianti di utilizzare LlamaIndex.TS per acquisire e interrogare i loro dati.

Per applicazioni più complesse, le nostre API di livello inferiore consentono agli utenti avanzati di personalizzare ed estendere qualsiasi modulo: connettori di dati, indici, recuperatori e motori di interrogazione, per adattarli alle proprie esigenze.

## Primi passi

`npm install llamaindex`

La nostra documentazione include le [Istruzioni di installazione](./installation.mdx) e un [Tutorial introduttivo](./starter.md) per creare la tua prima applicazione.

Una volta che sei pronto, i [Concetti di alto livello](./concepts.md) offrono una panoramica dell'architettura modulare di LlamaIndex. Per ulteriori esempi pratici, consulta i nostri [Tutorial end-to-end](./end_to_end.md).

## 🗺️ Ecosistema

Per scaricare o contribuire, trova LlamaIndex su:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Community

Hai bisogno di aiuto? Hai suggerimenti per una nuova funzionalità? Unisciti alla community di LlamaIndex:

- Twitter: https://twitter.com/llama_index
- Discord: https://discord.gg/dGcwcsnxhU
