---
sidebar_position: 0
slug: /
---

# Kas yra LlamaIndex.TS?

`Ši dokumentacija buvo automatiškai išversta ir gali turėti klaidų. Nedvejodami atidarykite Pull Request, jei norite pasiūlyti pakeitimus.`

LlamaIndex.TS yra duomenų pagrindas LLM aplikacijoms, skirtas įkelti, struktūrizuoti ir pasiekti privačius arba domeno specifinius duomenis. Nors taip pat yra prieinamas Python paketas (žr. [čia](https://docs.llamaindex.ai/en/stable/)), LlamaIndex.TS siūlo pagrindines funkcijas paprastoje paketo versijoje, optimizuotoje naudojimui su TypeScript.

## 🚀 Kodėl LlamaIndex.TS?

Pagrindinėje esmėje, LLM (Lietuvių kalbos modeliai) siūlo natūralios kalbos sąsają tarp žmonių ir išvestų duomenų. Plačiai prieinami modeliai yra išankstinio apmokymo dideliais kiekiais viešai prieinamų duomenų, nuo Vikipedijos ir pašto sąrašų iki vadovėlių ir šaltinio kodo.

LLM pagrindu sukurtos programos dažnai reikalauja papildyti šiuos modelius privačiais arba domeno specifiniais duomenimis. Deja, šie duomenys gali būti paskirstyti tarp izoliuotų programų ir duomenų saugyklų. Jie gali būti už API ribų, SQL duomenų bazėse arba užstrigę PDF failuose ir skaidrėse.

Čia ateina **LlamaIndex.TS**.

## 🦙 Kaip gali padėti LlamaIndex.TS?

LlamaIndex.TS teikia šiuos įrankius:

- **Duomenų įkėlimas** - tiesiogiai įkelkite savo esamus `.txt`, `.pdf`, `.csv`, `.md` ir `.docx` duomenis.
- **Duomenų indeksai** - struktūrizuokite savo duomenis tarpinėse reprezentacijose, kurios yra lengvai naudojamos ir efektyvios LLM'ams.
- **Varikliai** - suteikia natūralios kalbos prieigą prie jūsų duomenų. Pavyzdžiui:
  - Užklausų varikliai yra galingos išgavimo sąsajos, skirtos žiniomis papildytam išvesties gavimui.
  - Pokalbių varikliai yra pokalbių sąsajos, skirtos daugelio žinučių, "atgal ir pirmyn" sąveikai su jūsų duomenimis.

## 👨‍👩‍👧‍👦 Kam skirtas LlamaIndex?

LlamaIndex.TS teikia pagrindinį įrankių rinkinį, būtiną visiems, kurie kuria LLM programas naudodami JavaScript ir TypeScript.

Mūsų aukšto lygio API leidžia pradedantiesiems naudoti LlamaIndex.TS, kad galėtų įkelti ir užklausti savo duomenis.

Sudėtingesnėms programoms mūsų žemesnio lygio API leidžia pažengusiems naudotojams pritaikyti ir išplėsti bet kurį modulį - duomenų jungtis, indeksai, gavikliai ir užklausų varikliai - pagal savo poreikius.

## Pradžia

`npm install llamaindex`

Mūsų dokumentacija apima [įdiegimo instrukcijas](./installation.mdx) ir [pradžios vadovą](./starter.md), skirtą sukurti pirmąją aplikaciją.

Kai jau esate paleidę, [aukšto lygio konceptai](./concepts.md) pateikia apžvalgą apie LlamaIndex modularią architektūrą. Norėdami gauti daugiau praktinių pavyzdžių, peržiūrėkite mūsų [nuo pradžių iki pabaigos vadovus](./end_to_end.md).

## 🗺️ Ekosistema

Norėdami atsisiųsti ar prisidėti, rasite LlamaIndex čia:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Bendruomenė

Reikia pagalbos? Turite funkcijos pasiūlymą? Prisijunkite prie LlamaIndex bendruomenės:

- Twitter: https://twitter.com/llama_index
- Discord: https://discord.gg/dGcwcsnxhU
