---
sidebar_position: 0
slug: /
---

# Šta je LlamaIndex.TS?

`Ova dokumentacija je automatski prevedena i može sadržati greške. Ne oklevajte da otvorite Pull Request za predlaganje izmena.`

LlamaIndex.TS je okvir za podatke za LLM aplikacije koji omogućava unošenje, strukturiranje i pristup privatnim ili domenski specifičnim podacima. Iako je dostupan i Python paket (vidi [ovde](https://docs.llamaindex.ai/en/stable/)), LlamaIndex.TS nudi osnovne funkcionalnosti u jednostavnom paketu, optimizovanom za upotrebu sa TypeScript-om.

## 🚀 Zašto LlamaIndex.TS?

U svojoj osnovi, LLM-ovi nude prirodni jezički interfejs između ljudi i zaključenih podataka. Široko dostupni modeli su prethodno obučeni na ogromnim količinama javno dostupnih podataka, od Vikipedije i mailing lista do udžbenika i izvornog koda.

Aplikacije izgrađene na osnovu LLM-ova često zahtevaju proširivanje ovih modela privatnim ili domenski specifičnim podacima. Nažalost, ti podaci mogu biti raspoređeni u različitim aplikacijama i skladištima podataka. Oni se nalaze iza API-ja, u SQL bazama podataka ili su zarobljeni u PDF-ovima i prezentacijama.

Tu dolazi **LlamaIndex.TS**.

## 🦙 Kako LlamaIndex.TS može pomoći?

LlamaIndex.TS pruža sledeće alate:

- **Učitavanje podataka** - unosite svoje postojeće podatke u formatima `.txt`, `.pdf`, `.csv`, `.md` i `.docx` direktno
- **Indeksi podataka** - strukturirajte svoje podatke u međureprezentacije koje su jednostavne i efikasne za upotrebu u LLM aplikacijama.
- **Engine-i** - pružaju prirodan jezički pristup vašim podacima. Na primer:
  - Upitni engine-i su moćna sučelja za preuzimanje znanja obogaćenog izlaza.
  - Chat engine-i su konverzacijska sučelja za interakcije "napred-nazad" sa vašim podacima.

## 👨‍👩‍👧‍👦 Za koga je LlamaIndex?

LlamaIndex.TS pruža osnovni set alata koji su neophodni svima koji grade LLM aplikacije sa JavaScript-om i TypeScript-om.

Naša API na visokom nivou omogućava početnicima da koriste LlamaIndex.TS za unošenje i pretragu svojih podataka.

Za složenije aplikacije, naše API-je na nižem nivou omogućavaju naprednim korisnicima da prilagode i prošire bilo koji modul - konektore podataka, indekse, povratnike i upitne motore, kako bi odgovarali njihovim potrebama.

## Početak rada

`npm install llamaindex`

Naša dokumentacija uključuje [Uputstva za instalaciju](./installation.mdx) i [Uvodni tutorijal](./starter.md) za izgradnju vaše prve aplikacije.

Kada ste spremni za rad, [Koncepti na visokom nivou](./concepts.md) pružaju pregled modularne arhitekture LlamaIndex-a. Za praktične primere, pogledajte naše [Vodiče od početka do kraja](./end_to_end.md).

## 🗺️ Ekosistem

Za preuzimanje ili doprinos, pronađite LlamaIndex na:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Zajednica

Treba vam pomoć? Imate sugestiju za funkcionalnost? Pridružite se LlamaIndex zajednici:

- Twitter: https://twitter.com/llama_index
- Discord: https://discord.gg/dGcwcsnxhU
