---
sidebar_position: 0
slug: /
---

# Kaj je LlamaIndex.TS?

`Ta dokumentacija je bila samodejno prevedena in lahko vsebuje napake. Ne oklevajte odpreti Pull Request za predlaganje sprememb.`

LlamaIndex.TS je podatkovni okvir za LLM aplikacije, ki omogoča vnos, strukturiranje in dostop do zasebnih ali domensko specifičnih podatkov. Čeprav je na voljo tudi Python paket (glej [tukaj](https://docs.llamaindex.ai/en/stable/)), LlamaIndex.TS ponuja osnovne funkcije v preprostem paketu, optimiziranem za uporabo s TypeScriptom.

## 🚀 Zakaj LlamaIndex.TS?

LLM-i na svojem jedru ponujajo naravnojezično vmesnik med ljudmi in sklepanimi podatki. Široko dostopni modeli so predhodno naučeni na ogromnih količinah javno dostopnih podatkov, od Wikipedije in e-poštnih seznamov do učbenikov in izvorne kode.

Aplikacije, zgrajene na vrhu LLM-ov, pogosto zahtevajo dopolnjevanje teh modelov z zasebnimi ali domensko specifičnimi podatki. Na žalost so ti podatki razpršeni med aplikacijami in podatkovnimi skladišči. Nahajajo se za vmesniki API-jev, v SQL bazah podatkov ali pa so ujeti v PDF datotekah in predstavitvah.

Tu nastopi **LlamaIndex.TS**.

## 🦙 Kako lahko LlamaIndex.TS pomaga?

LlamaIndex.TS zagotavlja naslednja orodja:

- **Nalaganje podatkov** omogoča neposreden vnos vaših obstoječih podatkov v formatih `.txt`, `.pdf`, `.csv`, `.md` in `.docx`.
- **Indeksi podatkov** strukturirajo vaše podatke v vmesne predstavitve, ki so enostavne in učinkovite za uporabo v LLM aplikacijah.
- **Motorji** omogočajo naravnojezični dostop do vaših podatkov. Na primer:
  - Poizvedbeni motorji so močna orodja za pridobivanje znanja.
  - Klepetalni motorji so pogovorni vmesniki za interakcijo z vašimi podatki v obliki več sporočilnih "naprej in nazaj" pogovorov.

## 👨‍👩‍👧‍👦 Za koga je LlamaIndex?

LlamaIndex.TS zagotavlja osnovni nabor orodij, ki so bistvena za vse, ki gradijo LLM aplikacije z JavaScriptom in TypeScriptom.

Naša visokonivojska API omogoča začetnikom uporabo LlamaIndex.TS za vnos in poizvedovanje podatkov.

Za bolj kompleksne aplikacije naša nizkonivojska API omogoča naprednim uporabnikom prilagajanje in razširjanje katerega koli modula - povezave podatkov, indekse, pridobivalce in poizvedovalnike, da ustrezajo njihovim potrebam.

## Začetek

`npm install llamaindex`

Naša dokumentacija vključuje [Navodila za namestitev](./installation.mdx) in [Vodič za začetek](./starter.md), ki vam pomagata zgraditi vašo prvo aplikacijo.

Ko ste pripravljeni, [Visokonivojski koncepti](./concepts.md) ponujajo pregled modularne arhitekture LlamaIndex-a. Za več praktičnih primerov si oglejte naše [Vodiče od začetka do konca](./end_to_end.md).

## 🗺️ Ekosistem

Za prenos ali prispevek poiščite LlamaIndex na:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Skupnost

Potrebujete pomoč? Imate predlog za funkcionalnost? Pridružite se skupnosti LlamaIndex:

- Twitter: https://twitter.com/llama_index
- Discord: https://discord.gg/dGcwcsnxhU
