---
sidebar_position: 0
slug: /
---

# LlamaIndex.TS คืออะไร?

`เอกสารนี้ได้รับการแปลโดยอัตโนมัติและอาจมีข้อผิดพลาด อย่าลังเลที่จะเปิด Pull Request เพื่อแนะนำการเปลี่ยนแปลง.`

LlamaIndex.TS เป็นเฟรมเวิร์กข้อมูลสำหรับแอปพลิเคชัน LLM เพื่อรับเข้าข้อมูลที่เป็นส่วนตัวหรือเฉพาะด้าน โดยในขณะเดียวกันยังมีแพ็คเกจ Python ที่ใช้ได้เช่นกัน (ดูรายละเอียดเพิ่มเติม [ที่นี่](https://docs.llamaindex.ai/en/stable/)) แต่ LlamaIndex.TS นำเสนอคุณสมบัติหลักในแพ็คเกจที่เรียบง่ายและถูกปรับแต่งให้เหมาะสมกับการใช้งานกับ TypeScript

## 🚀 ทำไมต้องใช้ LlamaIndex.TS?

ที่สำคัญที่สุดของ LLMs คือการให้บริการอินเตอร์เฟซภาษาธรรมชาติระหว่างมนุษย์และข้อมูลที่ได้รับการสร้างขึ้น โมเดลที่มีอยู่อย่างแพร่หลายถูกฝึกสอนล่วงหน้าด้วยข้อมูลสาธารณะมากมาย ตั้งแต่ Wikipedia และรายการจดหมายถึงหนังสือเรียนและโค้ดต้นฉบับ

แอปพลิเคชันที่สร้างขึ้นบน LLMs มักต้องการเพิ่มข้อมูลเฉพาะเจาะจงหรือข้อมูลส่วนตัวในโมเดลเหล่านี้ แต่ข้อมูลเหล่านั้นอาจกระจายอยู่ในแอปพลิเคชันและฐานข้อมูลที่แยกต่างหาก อาจอยู่ใน API, ฐานข้อมูล SQL หรือติดอยู่ในไฟล์ PDF และ slide decks

นี่คือจุดที่ **LlamaIndex.TS** เข้ามาช่วยในการแก้ปัญหา

## 🦙 LlamaIndex.TS ช่วยอย่างไร?

LlamaIndex.TS ให้เครื่องมือต่อไปนี้:

- **การโหลดข้อมูล** รับเข้าข้อมูลที่มีอยู่ในรูปแบบ `.txt`, `.pdf`, `.csv`, `.md` และ `.docx` โดยตรง
- **ดัชนีข้อมูล** โครงสร้างข้อมูลของคุณในรูปแบบกลางที่ง่ายและมีประสิทธิภาพสำหรับ LLMs ในการบริโภค
- **เอ็นจิน** ให้การเข้าถึงข้อมูลของคุณด้วยภาษาธรรมชาติ เช่น:
  - เอ็นจินคิวรี่เป็นอินเตอร์เฟซการเรียกคืนที่มีกำลังในการเพิ่มความรู้
  - เอ็นจินแชทเป็นอินเตอร์เฟซการสนทนาสำหรับการโต้ตอบ "ไปมา" หลายข้อความกับข้อมูลของคุณ

## 👨‍👩‍👧‍👦 LlamaIndex เหมาะกับใคร?

LlamaIndex.TS ให้เครื่องมือชุดหลักที่จำเป็นสำหรับผู้ที่กำลังสร้างแอปพลิเคชัน LLM ด้วย JavaScript และ TypeScript

API ระดับสูงของเราช่วยให้ผู้ใช้ผู้เริ่มต้นใช้ LlamaIndex.TS เพื่อรับเข้ารูปแบบและสอบถามข้อมูลของพวกเขา

สำหรับแอปพลิเคชันที่ซับซ้อนมากขึ้น API ระดับต่ำของเราช่วยให้ผู้ใช้ขั้นสูงสามารถปรับแต่งและขยายส่วนของโมดูลใดๆ - ตัวเชื่อมต่อข้อมูล, ดัชนี, เครื่องค้นหาและเครื่องมือสอบถาม - เพื่อให้เหมาะสมกับความต้องการของพวกเขา.

## เริ่มต้นใช้งาน

`npm install llamaindex`

เอกสารของเราประกอบด้วย[คำแนะนำการติดตั้ง](./installation.mdx)และ[บทแนะนำเบื้องต้น](./starter.md)เพื่อสร้างแอปพลิเคชันครั้งแรกของคุณ

เมื่อคุณเริ่มใช้งานแล้ว [แนวคิดระดับสูง](./concepts.md) มีภาพรวมของสถาปัตยกรรมแบบโมดูลของ LlamaIndex สำหรับตัวอย่างที่เป็นปฏิบัติจริงมากขึ้น โปรดดูที่ [บทแนะนำจบสู่จบ](./end_to_end.md) เพื่อตัวอย่างที่ใช้งานได้จริง

"

## 🗺️ ระบบนิเวศ

เพื่อดาวน์โหลดหรือร่วมสนับสนุน คุณสามารถค้นหา LlamaIndex ได้ที่:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## ชุมชน

ต้องการความช่วยเหลือหรือมีคำแนะนำเกี่ยวกับคุณลักษณะใหม่ ร่วมกับชุมชน LlamaIndex ได้ที่:

- Twitter: https://twitter.com/llama_index
- Discord https://discord.gg/dGcwcsnxhU
