---
sidebar_position: 0
slug: /
---

# LlamaIndex.TS Nedir?

`Bu belge otomatik olarak çevrilmiştir ve hatalar içerebilir. Değişiklik önermek için bir Pull Request açmaktan çekinmeyin.`

LlamaIndex.TS, LLM uygulamalarının özel veya alan özgü verilerini almak, yapılandırmak ve erişmek için bir veri çerçevesidir. Bir Python paketi de mevcuttur (buraya bakın: [buraya](https://docs.llamaindex.ai/en/stable/)), ancak LlamaIndex.TS, TypeScript ile kullanım için optimize edilmiş basit bir paket içinde temel özellikler sunar.

## 🚀 Neden LlamaIndex.TS?

LLM'lerin temelinde, insanlar ve çıkarılan veriler arasında doğal dil arayüzü bulunur. Geniş çapta kullanılabilen modeller, Wikipedia, posta listeleri, ders kitapları ve kaynak kodları gibi halka açık verilerin büyük miktarlarında önceden eğitilmiştir.

LLM'lerin üzerine inşa edilen uygulamalar genellikle bu modelleri özel veya alan özgü verilerle genişletmeyi gerektirir. Ne yazık ki, bu veriler, uygulamalar ve veri depoları arasında dağılmış olabilir. API'lerin arkasında, SQL veritabanlarında veya PDF'lerde ve slayt sunumlarında sıkışmış olabilir.

İşte burada **LlamaIndex.TS** devreye giriyor.

## 🦙 LlamaIndex.TS Nasıl Yardımcı Olabilir?

LlamaIndex.TS aşağıdaki araçları sağlar:

- **Veri yükleme** mevcut `.txt`, `.pdf`, `.csv`, `.md` ve `.docx` verilerinizi doğrudan alır
- **Veri dizinleri** verilerinizi LLM'lerin tüketmesi için kolay ve performanslı ara temsillerde yapılandırır.
- **Motorlar** verilerinize doğal dil erişimi sağlar. Örneğin:
  - Sorgu motorları, bilgi artırılmış çıktılar için güçlü geri alma arabirimleridir.
  - Sohbet motorları, verilerinizle çoklu mesajlı, "ileri geri" etkileşimler için konuşma arabirimleridir.

"

## 👨‍👩‍👧‍👦 LlamaIndex kimler için?

LlamaIndex.TS, JavaScript ve TypeScript ile LLM uygulamaları oluşturan herkes için temel araçlar sağlar.

Yüksek seviyeli API'miz, başlangıç ​​seviyesindeki kullanıcıların verilerini almak ve sorgulamak için LlamaIndex.TS'yi kullanmalarını sağlar.

Daha karmaşık uygulamalar için, düşük seviyeli API'larımız, gelişmiş kullanıcıların ihtiyaçlarına uyacak şekilde herhangi bir modülü - veri bağlayıcıları, indeksler, alıcılar ve sorgu motorları - özelleştirmelerine ve genişletmelerine olanak tanır.

## Başlarken

`npm install llamaindex`

Dökümantasyonumuz, [Kurulum Talimatları](./installation.mdx) ve ilk uygulamanızı oluşturmanız için bir [Başlangıç Kılavuzu](./starter.md) içerir.

Çalışmaya başladıktan sonra, [Yüksek Düzeyli Kavramlar](./concepts.md) LlamaIndex'in modüler mimarisinin bir genel bakışını sunar. Daha fazla pratik örnek için [Uçtan Uca Öğreticilerimize](./end_to_end.md) göz atabilirsiniz.

## 🗺️ Ekosistem

İndirmek veya katkıda bulunmak için LlamaIndex'i aşağıdaki platformlarda bulabilirsiniz:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Topluluk

Yardıma mı ihtiyacınız var? Bir özellik öneriniz mi var? LlamaIndex topluluğuna katılın:

- Twitter: https://twitter.com/llama_index
- Discord: https://discord.gg/dGcwcsnxhU
